<html>
<!--
Formattierungsbefehle:
% Title
& bold
_ Subtitle
! free text
# numbered list item
* bullet list item
-->
  <head>
    <style type='text/css'>
      a { color:#a0a0e0 }
      div.title {
          color:#C0F0C0; 
          font-size:1.2em; 
          font-weight:bold; 
          margin-top:1em; 
          margin-bottom:0.5em; 
          text-align:center }
      div.boldtext {
          color:#F0F0F0;
          font-size:1.2em; 
          font-weight:bold; 
          margin-top:1em; 
          margin-bottom:0.5em; 
          text-align:start }
      div.subtitle { 
          color:#C0F0C0; 
          font-size:0.8em; 
          margin-bottom:1em; 
          text-align:center }
      div.freetext {
          color:#F0F0F0 }
      div.list { 
          color:#C0C0F0 }
    </style>
  </head>
  <body>

  % TransektCount
  _ Copyright (C) 2016-2024, Wilhelm Stein
  _
  _ email: stein.wm@web.de
  _
  	! TransektCount dient Transektzählern bei Transekt-Begehungen. Es unterstützt das Spezies-spezifische Zählen von Schmetterlingen pro Transektabschnitt gemäß der European Butterfly Monitoring Scheme-Methode.
  _ 
  	! TransektCount ist eine von zwei Apps für das Monitoring Europäischer Schmetterlinge.
  	! Die zweite App, <B>TourCount</B>, unterstützt das Spezies-spezifische und individuell GPS-lokalisierte Zählen von Schmetterlingen bei Aufenthalten in der Natur.
  _ 
    ! Quellcode und Dokumentation veröffentlicht unter:
    ! <a href="https://github.com/wistein/TransektCount" target="_blank">https://github.com/wistein/TransektCount</a>
  _
    ! Geeignet für Android 7.1 (Nougat) oder neuer.
  _

$ 4.2.0
  % Version 4.2.0
  _ 17.12.2024
  * csv Ergebnistabelle modifiziert
  * Dateinamen der exportierten akt. DB und csv-Tabelle mit Transekt-Nr.
  * App wird nach Beenden komplett aus dem Arbeitsspeicher entfernt
  * Option der Vorauswahl mit 2 Anfangsbuchstaben bei Hinzufügen, Löschen und Editieren von Arten
  * Code-Verbesserungen
  * Bug-Fixes
  * Doku-Update

$ 4.1.0
  % Version 4.1.0
  _ 26.08.2024
  * Funktion der Bestimmung des Abschnitts per GPS entfernt, da zu unzuverlässig
  * Überschrift für Dateiauswahlseite hinzugefügt
  * Überschrift für Einstellungsmenü hinzugefügt
  * Einstellungsmenü zeigt nun die Zustände der Optionen an
  * Getrennte Ansichten für Editieren, Löschen und Hinzufügen von Arten
  * Checkboxen zum mehrfachen Löschen von Arten der Zählliste
  * Checkboxen zum mehrfachen Hinzufügen weiterer Arten zur Zählliste
  * Meta-Daten ergänzt mit Feld für Bemerkung zur aktuellen Begehung (ersetzt Abschnittsbemerkungen)
  * Einstellungsoption hinzugefügt für das Sortieren der Ergebnisse nach Abschnitten oder Artnamen
  * CSV-Export an strukturelle Änderungen angepasst
  * Interne Falterliste jetzt identisch mit der Liste von TourCount
  * Verbesserungen bei Code, Text und Layouts
  * Lizenzentext separat
  * Doku angepasst
  * Bug-Fixes

$ 4.0.3
  % Version 4.0.3
  _ 09.03.2024
  * Meta-Daten-Erfassung erweitert mit Start- und Endezeit für Temperatur, Wind und Wolken
  * Ergebnisseite und csv-Exportdatei dito
  * Einige noch fehlende lokale Artnamen ergänzt
  * Doku überarbeitet
  * Bug-Fix

$ 4.0.2
  % Version 4.0.2
  _ 22.02.2024
  * Einge Arten mit Abbildungen hinzugefügt
  * Bug-Fixes
  * Docs überarbeitet
  * Beispiel-DBs überarbeitet

$ 4.0.1
  % Version 4.0.1
  _ 15.12.2023
  # Funktionale Erweiterung:
  * Option für die automatische Transekt-Abschnittserkennung per GPS. Benötigt eine vorbereitete Track-Datei im GPX-Dateiformat
  * Automatische Unterscheidung bei GPS-Nutzung zwischen innerhalb und außerhalb von Transektabschnitten mit entsprechender Zähler-Darstellung
  * Importfunktion für eine GPX-Datei mit separaten Tracks der Transektabschnitte

  # Änderungen:
  * Import von DB- und GPX-Dateien aus dem Verzeichnis "Documents/TransektCount/"
  * Export von DB-, CSV- und GPX-Dateien ins Verzeichnis "Documents/TransektCount/"
  * Restrukturiete interne DB für die neuen Funktionen
  * Restrukturierte Tabelle für den Spreadsheet-kompatiblen CSV-Export
  * Einge Arten hinzugefügt
  * Fehlende Abbildungen ergänzt
  * Docs überarbeitet mit Erläuterung, wie eine passende gpx-Datei erzeugt und verwendet werden kann
  * Code Verbesserungen
  * Bug-Fixes
  * Code-Anpassungen für Android 14

$ 3.4.3
  % Version 3.4.3
  _ 09.08.2023
  * Letze Version ohne automatische Erkennung der Transekt-Abschnitte
  * Einige noch fehlende Arten und Abbildungen ergänzt
  * Docs überarbeitet

$ 3.4.2
% Version 3.4.2
_ 30.07.2023
  * Einge noch fehlende Abbildungen ergänzt
  * Seite der Abschnittsbearbeitung verbessert
  * Docs überarbeitet

$ 3.4.0
% Version 3.4.0
_ 05.07.2023
  * Option Landscape-Modus entfernt, da der Portrait-Modus selbst auf Tablets passender ist
  * Zur Vermeidung von DB-Korruption kann nur der jeweils letzte Abschnitt gelöscht werden
  * Einige Code-Verbesserungen
  * Docs überarbeitet

$ 3.3.8
  % Version 3.3.8
  _ 20.06.2023
  * Einige veraltete (deprecated) Funktionen ersetzt
  * Berechtigungsfunktionen an Android 11+ angepasst
  * Export von .csv-Files nach Documents/TransektCount/ (erlaubt Bearbeitung mit anderen Apps)
  * Option für Vibration, kurz beim Hoch- und länger beim Runterzählen
  * Tieferer Sound beim Runterzählen
  * Eine weitere Schmetterlingsart hinzugefügt
  * Weitere Code-Verbesserungen
  * Quellcode teilweise von Java nach Kotlin übersetzt
  * Android-Mindest-Version 7.1 (Nougat)

$ 3.3.7
  % Version 3.3.7
  _ 26.03.2023
  * Weitere Falterarten mit Abbildungen hinzugefügt
  * Viele Falterabbildungen überarbeitet (Anzeige v. Ober- und Unterseite)
  * Portrait/Landscape-Funktion verbessert
  * Update der Doku
  * Bug-Fix für Bearbeitung der Abschnittslisten

$ 3.3.0
  % Version 3.3.0
  _ 17.04.2022
  * Einige weitere Falterarten mit Abbildungen hinzugefügt
  * Update der Doku
  * Einige weitere Arten mit Abbildungen hinzugefügt
  * Veraltete Speziesnamen korrigiert (in App und Beispiel-DBs)
  * Übersichtlicheres Layout für Transektabschnitt-Editor
  * Veraltete Code-Bezeichnungen aktualisiert
  * Fehlfunktion der Bilderanzeige unter Gradle 6.5 behoben
  * Geänderte Familiennamen angepasst
  * Bugs in "Neuer Abschnitt" und "Abschnitts-Artenliste duplizieren" korrigiert
  * Kompiliert für SDK-Version 31 (benötigt für aktuelle Bibliotheken)

$ 3.2.5
  % Version 3.2.5
  _ 09.09.2020
	* Weitere Schmetterlingsabbildungen integriert
	* Integrierte Auswahlliste der Arten vergrößert
	* Hintergrundbild besser skaliert für längere Displays
	* Code für Einstellungen angepasst für Android 10
	* .CSV-Export: In Summenzeile Nullen unterdrückt
	* Doku angepasst
	* Fehler in csv-Export behoben

$ 3.2.1
  % Version 3.2.1
  _ 16.04.2020
	* Code angepasst für eingeschränkten Speicher-Zugriff von Android 10
	* Verwendung von AndroidX-Bibliotheken
	* Projekt-Anpassung für Android Studio 3.6.2
  	* Code optimiert hinsichtlich Speichernutzung und Stromverbrauch
  	* App-Icon angepasst für bessere Darstellung auf Android 9
  	* Datum und Zeit des ersten Eintrags für einen Abschnitt
	* Unterschneidung der Artnamen auf der Ergebnisseite korrigiert
	* Änderungen in AndroidManifest.xml und build.gradle
  	* Schmetterlingsbilder geändert/ergänzt
  	* Ergebnisseite mit Summe der gezählten Arten
  	* Exportierte csv-Datei mit Summe der gezählten Arten
	* Einige Spezies-Komplexe zur Spezies-Auswahlliste hinzugefügt
  	* Kleinere Designänderungen der Startseite
	* Kleine Textkorrekturen
	* Hilfetext angepasst
	* Einige kleine Code-Verbesserungen
	* Bug beim Ändern eines Listennamens behoben
  	* Absturzfehler bei Rückkehr von Spezies hinzufügen behoben
	* Bugs bei Anlegen einer neuen Abschnittsliste behoben

$ 3.1.0
  % Version 3.1.0
  _ 16.04.2019
  	* Integrierte Auswahlliste mit vielen Europäischen Spezies
	* Hinzufügen neuer Spezies mittels Scroll-Down-Auswahl aus einer umfassenden Liste, die nur nicht vorhandene Spezies anzeigt
  	* Schmetterlings-Icons im Abschnittseditor hinzugefügt
  	* DB-Struktur ergänzt für lokale Schmetterlingsnamen
  	* Beispiel-Datenbanken mit lokalen Schmetterlingsnamen
  	* Ergebnisdarstellung mit lokalen Schmetterlingsnamen
  	* Zusätzliche Schmetterlingsabbildungen
    * Projekt-Anpassung für Android Studio 3.3.2 und Gradle 4.10.1
  	* Minimale Android-Version geändert in 4.4 (KitKat)
  	* Zusätzliche Schmetterlingsabbildungen
  	* Einige Abbildungen erneuert mit Ober- und Unterseite der Flügel
  	* Kleinere Designänderungen in einigen App-Seiten
  	* Doku. überarbeitet
  	* Wo sinnvoll, Toasts gegen Snackbars getauscht
  	* Permission-Handling für Settings
  	* Zusätzliche manuelle Eingabe für Datum, Start- und Stopzeit per langem Drücken
  	* Code-Bereinigungen
	* Unnötige Berechtigung WRITE_SETTINGS entfernt
  	* Multi-Window-Modus (Android 7+)gesperrt wegen inkompatiblem Pull-Down-Menü (Spinner)
  	* Absturzfehler bei schnell wiederholtem Klicken der Art-Auswahl behoben
  	* Absturz-Fehler im Permission-Handling von Android >= Marshmallow behoben
  	* Absturz-Fehler im Modul "Edit Speziesliste" behoben

$ 3.0.1
  % Version 3.0.1
  _ 01.04.2018
  	* Projekt-Anpassungen für Android Studio 3.1, Gradle 3.1.0 und SDK 27 (Android 8.1)
  	* Erstmaliger Start erzeugt nun direkt nutzbare interne DB mit verbreiteten europäischen Arten 
  	* Kleine Optimierungen in der Ergebnisseite
  	* Datenbank-Version 3 (Änderung eines Spaltennamens wg. Compiler-Warnung) 
  	* Dokumentation angepasst
  	* Design der Startseite geändert
  	* Funktion Abschnitt editieren in Abschnittsliste integriert
  	* Kamera-Button in Menüleiste der Zählseite hinzugefügt
  	* Docs: Einführende Prasentation hinzugefügt

$ 2.1.0
  % Version 2.1.0
  _ 29.09.2017
  	* Code für Android 7.1 angepasst und kompiliert
  	* Systemlog-Meldungen nur noch im Debug-Modus
  	* Links in App-Info- und Help-Seiten eingefügt
    * Versionskontrolle für Datenbank hinzugefügt, um mit alter Datenbankstruktur (vor Version 2.0.0) kompatibel zu sein
    * Option zum Umschalten zwischen Portrait- und Landscape-Modus hinzugefügt
    * Ergebnisseite zeigt Summen am Anfang
    * Ergebnisseite nach 1. Arten und 2. Abschnitten sortiert
  	* CSV-Export Tabellen-Layout geändert
    * Zeige richtige Überschrift direkt nach Laden oder Zurücksetzen einer DB
  	* Fix für Fehlfunktion der Drop-Down-Auswahl
  	* Ersatzbild für Spezies ohne Bild (z.B. Komplex).
  	* Button Sound auch für Auswahl des Transektabschnitts
  	* Zum Beenden Back-Button zweimal drücken
    * CSV-Export unterdrückt Nullwerte für bessere Übersicht
	* CSV-Export weist Gesamtsumme aus
  	* Weitere Falter-Abbildungen
  	* Kleinere Ergänzungen in Readme.md und anderer Doku.
  	* Kleinere Layout Verbesserungen
    * Kleinere Code-Verbesserungen
  	* Zusätzliches Feld Kalenderwoche in csv-Export
    * Fix gegen Absturz beim Laden einer Datenbank in alter Struktur (vor 2.0.0)

$ 2.0.0
  % Version 2.0.0
  _ 06.01.2017
  	* Komplett überarbeitete Zählerseite mit Drop-Down-Liste zur Spezies-Auswahl und vollständigen Zähloptionen
  	* Überarbeitete Ergebnisseite mit detaillierter Zählerinfo und Summen
  	* Überarbeiteter Spezies-Editor mit Bulk-Zählereingabe für alle Zähloptionen
  	* Prüfung auf fehlende oder doppelte Spezies-Codes
  	* Neue Datenbankstruktur gemäß der neuen Zähloptionen 
  	* Alarme für alle gezählten Falter innerhalb des Zählbereichs
  	* Abbilder der Arten auf Zählseite
    * Neue Abschnittsliste erstellen ruft direkt Abschnittsliste editieren auf
    * Icons auf der Seite "Einstellungen"
    * Icons für die Menüeinträge
    * Arten-Codes für Arten-Referenz
    * Option: Sortierung der Artenliste nach Artnamen oder Arten-Codes
    * Option Zählseitendarstellung für Linkshänder
    * Schaltet Anzeige der Zählseite ab, wenn Handy eingesteckt wird

$ 1.3.0
  % Version 1.3.0
  _ 22.06.2016
    * Option "Bildschirm hell" in Einstellungen
    * Berechtigungsprüfung für Android-M
    * Import Dialog für eine gespeicherte DB
    * Verhindern von doppelten Speziesnamen in "Edit Abschnitte"
	* Verhindern von doppelten Abschnittsnamen in "Abschnittsliste duplizieren"
    * (+)-Button in Kopfzeile der Seite "Liste Transektabschn."
    * Neu: Funktion "Reset Daten"
    * Neu: Eingabeseite für Stammdaten
    * Ergebnisseite mit Stammdaten
    * Exportfunktionen mit Stammdaten
    * App läuft immer im Portraitmodus
    * Neu: Export-DB in csv-Format
    * Exportierte DB enthält nur Zählergebnisse >0

$ 1.2.0
  % Version 1.2.0
  _ 19.03.2016
    * Neu: View für Zählergebnis 
    * Alarm nur für "interne" Zähler

$ 1.1.0
  % Version 1.1.0
  _ 05.03.2016
    * (+)-Button in Kopfzeile der Seite "Art hinzuf."
    * Zusätzlicher Zähler pro Art für externe Sichtung
    * Neu: Ausführliche Hilfe-Seite
    * Basis-DB-Import: Leere Datenbank 'transektcount0.db'
    * Basis-DB-Export: Leere Datenbank 'transektcount0.db'
    * Export-DB: Datenbank 'transektcount_yyyy-mm-dd_hhmmss.db'
    * Deutsche Übersetzung.

$ 1.0.0
  % Version 1.0.0
  _ 12.02.2016
  ! 1. Release.
    * Zähler- und DB-Funtionalität basieren teilweise auf BeeCount von knirirr
    * (https://github.com/knirirr/BeeCount.git)
    * Text- und Struktur-Anpassung für Tagfaltermonitoring

  ! Änderungen umfassen:
    * Seite für die Abschnittsauswahl
    * Zählseite
    * Editor für Zähloptionen
    * Seite für App-Einstellungen
  _
$ END_OF_CHANGE_LOG
  </body>
</html>
